#
View Source Ash.Query.Calculation (ash v2.14.2)

Represents a calculated attribute requested on a query

# Link to this section Summary

## Types

t()

## Functions

new(name, module, opts, type, context \\ %{}, filterable? \\ true, required_loads \\ [])

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Query.Calculation{
      calc_name: term(),
      constraints: term(),
      context: term(),
      filterable?: term(),
      load: term(),
      module: term(),
      name: term(),
      opts: term(),
      required_loads: term(),
      select: term(),
      sequence: term(),
      type: term()
    }

# Link to this section Functions

Link to this function

# new(name, module, opts, type, context \\ %{}, filterable? \\ true, required_loads \\ [])

View Source